com.trendmicro.ds.platform.rest.object.host

## Class HostTransport

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.host.HostTransport

-     public class HostTransport
      extends java.lang.Object

  Representation of a DSM-managed Host, used for communication between the DSM and REST API users.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HostTransport.PolicySummaryInfo` Summary information about a policy.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostTransport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgentReportedVersion()` The version of the agent.
    `java.lang.Long` | `getCreated()` The time in milliseconds since Unix epoch when the host was created.
    `java.lang.String` | `getDescription()` A description of the host.
    `java.lang.String` | `getDisplayname()` The display name set for the host.
    `java.lang.String` | `getExternalId()` The identifier assigned by the DSM administrator, if any.
    `int` | `getHostGroupId()` The primary key ID of the host's host group.
    `java.lang.String` | `getHostname()` The hostname used to connect to the host.
    `int` | `getId()` The Host ID assigned by the DSM.
    `java.lang.String` | `getInstanceId()` The identifier assigned by the cloud provider, if any.
    `java.lang.String` | `getLastIpUsed()` The last IP used to communicate with the host.
    `java.lang.Long` | `getLastModified()` The time in milliseconds since Unix epoch when the host was last modified.
    `java.lang.String` | `getLastUpdateAttempt()` The last date and time an update was attempted on the host.
    `java.lang.String` | `getPlatform()` The platform on which the host is running.
    `HostTransport.PolicySummaryInfo` | `getPolicy()` Summary information about the policy assigned to this host.
    `void` | `setAgentReportedVersion(java.lang.String agentReportedVersion)`
    `void` | `setCreated(java.lang.Long created)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setDisplayname(java.lang.String displayname)`
    `void` | `setExternalId(java.lang.String externalId)`
    `void` | `setHostGroupId(int hostGroupId)`
    `void` | `setHostname(java.lang.String name)`
    `void` | `setId(int id)`
    `void` | `setInstanceId(java.lang.String instanceId)`
    `void` | `setLastIpUsed(java.lang.String lastIpUsed)`
    `void` | `setLastModified(java.lang.Long lastModified)`
    `void` | `setLastUpdateAttempt(java.lang.String lastUpdateAttempt)`
    `void` | `setPlatform(java.lang.String platform)`
    `void` | `setPolicy(HostTransport.PolicySummaryInfo policy)` Set summary information about the policy assigned to this host.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostTransport

          public HostTransport()

  - ### Method Detail

    - #### getId

          public int getId()

      The Host ID assigned by the DSM.
      Returns:

    - #### setId

          public void setId(int id)

    - #### getHostname

          public java.lang.String getHostname()

      The hostname used to connect to the host.
      Returns:

    - #### setHostname

          public void setHostname(java.lang.String name)

    - #### getDisplayname

          public java.lang.String getDisplayname()

      The display name set for the host.
      Returns:

    - #### setDisplayname

          public void setDisplayname(java.lang.String displayname)

    - #### getDescription

          public java.lang.String getDescription()

      A description of the host.
      Returns:

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getCreated

          public java.lang.Long getCreated()

      The time in milliseconds since Unix epoch when the host was created.
      Returns:

    - #### setCreated

          public void setCreated(java.lang.Long created)

    - #### getLastModified

          public java.lang.Long getLastModified()

      The time in milliseconds since Unix epoch when the host was last modified.
      Returns:

    - #### setLastModified

          public void setLastModified(java.lang.Long lastModified)

    - #### getLastUpdateAttempt

          public java.lang.String getLastUpdateAttempt()

      The last date and time an update was attempted on the host.
      Returns:

    - #### setLastUpdateAttempt

          public void setLastUpdateAttempt(java.lang.String lastUpdateAttempt)

    - #### getAgentReportedVersion

          public java.lang.String getAgentReportedVersion()

      The version of the agent.
      Returns:

    - #### setAgentReportedVersion

          public void setAgentReportedVersion(java.lang.String agentReportedVersion)

    - #### getExternalId

          public java.lang.String getExternalId()

      The identifier assigned by the DSM administrator, if any.
      Returns:

    - #### setExternalId

          public void setExternalId(java.lang.String externalId)

    - #### getInstanceId

          public java.lang.String getInstanceId()

      The identifier assigned by the cloud provider, if any.
      Returns:

    - #### setInstanceId

          public void setInstanceId(java.lang.String instanceId)

    - #### getLastIpUsed

          public java.lang.String getLastIpUsed()

      The last IP used to communicate with the host.
      Returns:

    - #### setLastIpUsed

          public void setLastIpUsed(java.lang.String lastIpUsed)

    - #### getPlatform

          public java.lang.String getPlatform()

      The platform on which the host is running.
      Returns:

    - #### setPlatform

          public void setPlatform(java.lang.String platform)

    - #### getHostGroupId

          public int getHostGroupId()

      The primary key ID of the host's host group.
      Returns:

    - #### setHostGroupId

          public void setHostGroupId(int hostGroupId)

    - #### getPolicy

          public HostTransport.PolicySummaryInfo getPolicy()

      Summary information about the policy assigned to this host.
      Returns:
        Summary information about the policy assigned to this host.

    - #### setPolicy

          public void setPolicy(HostTransport.PolicySummaryInfo policy)

      Set summary information about the policy assigned to this host.
      Parameters:
        `policy` - Summary information about the policy assigned to this host.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.